
<h3> <%= @test.name %></h3>
<div>
  <%#= link_to 'Add Section', new_staff_test_section_path(@test), class: "btn" %>
</div>
<div style="float: right;">Online link: <%= link_to online_test_url(@test.slug), online_test_path(@test.slug) %></div>

<div style="margin-bottom:5px;">
  Duration: <%= @test.duration %> minutes 
</div>

<div style="margin-bottom:20px;">
  Guidelines: <%= @test.guidelines%>
</div>

<% if !@test.section_questions.present? %>
<span style="color: red;">*</span> This test is empty please add the sections & questions 
<% end %>
<div>
  <div style="padding-bottom:5px; float: right;">
    <%= link_to "upload Questions", upload_file_staff_test_path, class: "btn" %>
    
  </div>
  <% if @sections.present? %>
    <strong style="display: inline-block; margin-top: 10px;">Sections</strong> 
  <% end %>
  <div class="clear-height"></div>
</div>
  


<% @sections.each do |section| %>
  <div  style="margin-bottom: 10px; padding-bottom: 10px; padding-top: 10px; padding-right: 10px; padding-left: 10px; background: #f2f2f2;">
    <div style="float: right;">
      <%#= link_to "Add/Remove Questions", questions_staff_test_section_path(@test, section) %> 
      <%= link_to staff_test_section_path(@test, section), method: :delete, data: { confirm: "You sure?"  } do %>
                                      Delete
                                      <% end %>
    </div>
    <strong style="margin: 0;"><%= section.name %></strong> 
  </div>
<% end %>


<span  style="float: right; margin-right: 10px; margin-top: 10px; "><%= link_to 'Print', print_staff_test_path(@test) %> | <%= link_to 'Print with Answer', print_staff_test_path(@test, show_correct_answer: true) %></span>
<div style="margin-top: 5px; ">
  <%= link_to 'back', staff_tests_path, class: "btn" %>
</div>
